Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class CIDFontType

    java.lang.Object
      org.apache.avalon.framework.Enum
          org.apache.avalon.framework.ValuedEnum
              org.apache.fop.fonts.CIDFontType

    public class CIDFontType

extends org.apache.avalon.framework.ValuedEnum

This class enumerates all supported CID font types.

Field Summary
`static CIDFontType` | `CIDTYPE0` CID Font Type 0 (based on Type 1 format)
`static CIDFontType` | `CIDTYPE2` CID Font Type 2 (based on TrueType format)

Constructor Summary
`protected` | `CIDFontType(java.lang.String name, int value)` Construct a CID font type.

Method Summary
`static CIDFontType` | `byName(java.lang.String name)` Returns the CIDFontType by name.
`static CIDFontType` | `byValue(int value)` Returns the CID FontType by value.

Methods inherited from class org.apache.avalon.framework.ValuedEnum
`equals, getValue, hashCode, isEqualTo, isGreaterThan, isGreaterThanOrEqual, isLessThan, isLessThanOrEqual, toString`

Methods inherited from class org.apache.avalon.framework.Enum
`getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CIDTYPE0

    public static final CIDFontType CIDTYPE0

  CID Font Type 0 (based on Type 1 format)

### CIDTYPE2

    public static final CIDFontType CIDTYPE2

  CID Font Type 2 (based on TrueType format)

Constructor Detail

### CIDFontType

    protected CIDFontType(java.lang.String name,
                          int value)

  Construct a CID font type.

  Parameters:
    `name` - a type name
    `value` - a type value
  See Also:
    `Enum.Enum(String)`

Method Detail

### byName

    public static CIDFontType byName(java.lang.String name)

  Returns the CIDFontType by name.

  Parameters:
    `name` - Name of the CID font type to look up
  Returns:
    FontType the CID font type

### byValue

    public static CIDFontType byValue(int value)

  Returns the CID FontType by value.

  Parameters:
    `value` - Value of the CID font type to look up
  Returns:
    FontType the CID font type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.